AI resources
Get agreement

This endpoint allows returning information on an existing link by its ID. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
x-platform-id
string
Identifier for platforms or modules that offer Mercado Pago within their solutions.
Path
agreement_id
string

REQUIRED

Unique identifier of the agreement.
Query
client.id
number
Unique identifier of the client application.
Response parameters
id
string
Unique identifier of the agreement.
date_created
string
Date and time the agreement was created, in ISO 8601 format.
date_canceled
string
Date and time the agreement was canceled, in ISO 8601 format.
date_expire
string
Date and time the agreement expires, in ISO 8601 format.
Errors

400Request error.

400

Bad Request.

404Error. Resource not found.

404

Not Found.

500Processing error.

internal_error

Some error occurred on our side while attempting to process the request. Please try again later.

Request
curl -X GET \
    'https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}?client.id=<CLIENT_ID>'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-5*********956537-12*********ff1a3d36d*********47e7b9985*********770' \
       -H 'x-platform-id: YOUR_PLATFORM_ID' \
    
Response
{
  "id": "b1234e5678b91c23a456e78912345b67",
  "date_created": "2023-02-16T00:02:52Z",
  "date_canceled": "2023-02-16T00:02:52Z",
  "date_expire": "2023-02-16T00:02:52Z",
  "validation_code": "790eb6591ff68df74c57930551ed980239f4538a7e530",
  "approval_uri": "https://www.mercadopago.com.ar/v1/wallet_agreement/b1234e5678b91c23a456e78912345b67",
  "redirect_uri": "https://www.mercadopago.com/",
  "status": "confirmed_by_user",
  "external_flow_id": "external_flow_id",
  "external_user": {
    "id": "usertest",
    "description": "Test account"
  },
  "agreement_data": {
    "validation_amount": "24.50",
    "description": "Test agreement"
  },
  "site_id": "MLA",
  "application_id": 123456789,
  "collector_id": 987654,
  "model_version": 2
}